set @CohortGroup_Id = (SELECT Id   FROM CohortGroup  WHERE CohortName = 'Pyramax');

INSERT `MetaForm` (`CohortGroup_Id`, `metaform_guid`, `FormName`, `IsSystem`, `ActionName`)
	VALUES (@CohortGroup_Id, (UUID()), N'FORMULAIRE DE DÉBUT DE TRAITEMENT', 0, 'FORM A');
set @MetaForm_Id = (SELECT @@IDENTITY);

/**************************************************
CATEGORY I. IDENTIFICATION DU SITE
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 1, (UUID()), N'I. IDENTIFICATION DU SITE', '', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY);

-- attributes
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Site de traitement', '', 'PatientFacilities', 3, 0, 1, NULL, NULL, 0, '', NULL);
    
/**************************************************
CATEGORY II. Confirmation de l’éligibilité du patient 
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 1, (UUID()), N'II. Confirmation de l’éligibilité du patient', '', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY);

-- attributes -- Diagnostic d’un paludisme simple
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Diagnostic d’un paludisme simple', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Diagnostic d’un paludisme simple', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Diagnostic d’un paludisme simple', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Diagnostic d’un paludisme simple', '', 'Diagnostic d’un paludisme simple', 3, 0, 0, NULL, NULL, 0, '', NULL); 
    
-- attributes -- Si OUI, traiter avec du pyramax
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Si OUI, traiter avec du pyramax', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Si OUI, traiter avec du pyramax', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Si OUI, traiter avec du pyramax', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Si OUI, traiter avec du pyramax', '', 'Si OUI, traiter avec du pyramax', 3, 0, 0, NULL, NULL, 0, '', NULL);     

/**************************************************
CATEGORY III. Confirmation de la SIGNATURE DU CONSENTEMENT  
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 1, (UUID()), N'III. Confirmation de la SIGNATURE DU CONSENTEMENT', '', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY);

-- attributes -- Le participant ou son parent/tuteur a-t-il signé le consentement
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Le participant ou son parent/tuteur a-t-il signé le consentement', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Le participant ou son parent/tuteur a-t-il signé le consentement', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Le participant ou son parent/tuteur a-t-il signé le consentement', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Le participant ou son parent/tuteur a-t-il signé le consentement', '', 'Le participant ou son parent/tuteur a-t-il signé le consentement', 3, 0, 0, NULL, NULL, 0, '', NULL); 
    
-- attributes -- Date de signature du consentement 
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 4, 'General', 'Date de signature du consentement', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Date de signature du consentement', '', 'Date de signature du consentement', 2, 0, 0, 0, 0, 0, '', 0);

/**************************************************
CATEGORY IV. INFORMATIONS ET DONNEES SOCIO-DEMOGRAPHIQUES SUR LE PARTICIPANT   
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 1, (UUID()), N'IV. INFORMATIONS ET DONNEES SOCIO-DEMOGRAPHIQUES SUR LE PARTICIPANT', '', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY);

-- attributes -- Le participant ou son parent/tuteur a-t-il signé le consentement
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 2, 'General', 'Code ASS du patient', '', 1, 15, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Code ASS du patient', '', 'Code ASS du patient', 1, 0, 1, 0, 0, 0, '', 15); 

-- attributes -- Nom
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Nom', '', 'FirstName', 1, 0, 1, 0, 0, 0, '', 50); 

-- attributes -- Prénom
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Prénom', '', 'Surname', 1, 0, 1, 0, 0, 0, '', 50); 
    
-- attributes -- Adresse pratique
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 2, 'General', 'Adresse pratique', '', 0, 100, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Adresse pratique', '', 'Adresse pratique', 1, 0, 0, 0, 0, 0, '', 100);     

-- attributes -- N° de tél. du patient
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 2, 'General', 'N° de tél. du patient', '', 0, 25, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'N° de tél. du patient', '', 'N° de tél. du patient', 1, 0, 0, 0, 0, 0, '', 25);     

-- attributes -- Date de naissance
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Date de naissance', '', 'DateOfBirth', 2, 0, 1, 0, 0, 0, '', 100); 

-- attributes -- Âge 
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 2, 'General', 'Âge', '', 0, 15, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Âge', '', 'Âge', 1, 0, 0, 0, 0, 0, '', 15);

-- attributes -- Sexe
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Sexe', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Sexe', '1', 'M');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Sexe', '2', 'F');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Sexe', '', 'Sexe', 3, 0, 0, NULL, NULL, 0, '', NULL); 

-- attributes -- Poids (kg) 
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 1, 'General', 'Poids (kg)', '', 0, NULL, 1, 150, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Poids (kg)', '', 'Poids (kg)', 5, 0, 0, 1, 150, 0, '', 0);     

-- attributes -- Taille (cm) 
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 1, 'General', 'Taille (cm) ', '', 0, NULL, 1, 290, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Taille (cm) ', '', 'Taille (cm)', 5, 0, 0, 1, 290, 0, '', 0);     

-- attributes -- Temperature (degres C) 
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 1, 'General', 'Temperature (degres C) ', '', 0, NULL, 1, 100, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Temperature (degres C) ', '', 'Temperature (degres C)', 5, 0, 0, 1, 100, 0, '', 0);

-- attributes -- Pression artérielle (mmHg) 
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 2, 'General', 'Pression artérielle (mmHg)', '', 0, 25, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Pression artérielle (mmHg)', '', 'Pression artérielle (mmHg)', 1, 0, 0, 0, 0, 0, '', 25);

-- attributes -- Enceinte
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Enceinte', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Enceinte', '1', 'NA');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Enceinte', '2', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Enceinte', '3', 'Ne sait pas');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Enceinte', '4', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Enceinte', '', 'Enceinte', 3, 0, 0, NULL, NULL, 0, '', NULL); 

-- attributes -- Si oui, Date dernières règles
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 4, 'General', 'Si oui, Date dernières règles', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Si oui, Date dernières règles', '', 'Si oui, Date dernières règles', 2, 0, 0, 0, 0, 0, '', 0);

-- attributes -- Âge gestationnel
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 1, 'General', 'Âge gestationnel', '', 0, NULL, 4, 44, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Âge gestationnel', 'en semaines ou en mois', 'Âge gestationnel', 5, 0, 0, 4, 44, 0, '', 0);

-- attributes -- Antécédents médicaux et facteurs de risques (autres que paludisme)
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Antécédents médicaux et facteurs de risques (autres que paludisme)', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Antécédents médicaux et facteurs de risques (autres que paludisme)', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Antécédents médicaux et facteurs de risques (autres que paludisme)', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Antécédents médicaux et facteurs de risques (autres que paludisme)', '', 'Antécédents médicaux et facteurs de risques (autres que paludisme)', 3, 0, 0, NULL, NULL, 0, '', NULL);
    
-- attributes -- Autres substances
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 2, 'General', 'Autres substances', '', 0, 500, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Autres substances', '', 'Autres substances', 1, 0, 0, 0, 0, 0, '', 500);
    
-- attributes -- Consommation d’alcool
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Consommation d’alcool', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Consommation d’alcool', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Consommation d’alcool', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Consommation d’alcool', '', 'Consommation d’alcool', 3, 0, 0, NULL, NULL, 0, '', NULL);
    
-- attributes -- Diabète
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Diabète', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Diabète', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Diabète', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Diabète', '', 'Diabète', 3, 0, 0, NULL, NULL, 0, '', NULL);
    
-- attributes -- Hypertension artérielle
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Hypertension artérielle', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Hypertension artérielle', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Hypertension artérielle', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Hypertension artérielle', '', 'Hypertension artérielle', 3, 0, 0, NULL, NULL, 0, '', NULL);
    
-- attributes -- Infection à l’hépatite B
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Infection à l’hépatite B', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Infection à l’hépatite B', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Infection à l’hépatite B', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Infection à l’hépatite B', '', 'Infection à l’hépatite B', 3, 0, 0, NULL, NULL, 0, '', NULL);     
    
-- attributes -- Infection à l’hépatite C
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Infection à l’hépatite C', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Infection à l’hépatite C', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Infection à l’hépatite C', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Infection à l’hépatite C', '', 'Infection à l’hépatite C', 3, 0, 0, NULL, NULL, 0, '', NULL);    
    
-- attributes -- Insuffisance hépatique
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Insuffisance hépatique', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Insuffisance hépatique', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Insuffisance hépatique', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Insuffisance hépatique', '', 'Insuffisance hépatique', 3, 0, 0, NULL, NULL, 0, '', NULL);  
    
-- attributes -- Tabagisme
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Tabagisme', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Tabagisme', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Tabagisme', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Tabagisme', '', 'Tabagisme', 3, 0, 0, NULL, NULL, 0, '', NULL);
    
-- attributes -- Insuffisance rénale (sévère ou chronique)
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Insuffisance rénale (sévère ou chronique)', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Insuffisance rénale (sévère ou chronique)', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Insuffisance rénale (sévère ou chronique)', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Insuffisance rénale (sévère ou chronique)', '', 'Insuffisance rénale (sévère ou chronique)', 3, 0, 0, NULL, NULL, 0, '', NULL);      
    
-- attributes -- Tuberculose pharmacosensible
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Tuberculose pharmacosensible', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Tuberculose pharmacosensible', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Tuberculose pharmacosensible', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Tuberculose pharmacosensible', '', 'Tuberculose pharmacosensible', 3, 0, 0, NULL, NULL, 0, '', NULL); 
    
-- attributes -- HIV/Sida
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'HIV/Sida', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('HIV/Sida', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('HIV/Sida', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'HIV/Sida', '', 'HIV/Sida', 3, 0, 0, NULL, NULL, 0, '', NULL);     
    
-- attributes -- Épilepsie
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Épilepsie', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Épilepsie', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Épilepsie', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Épilepsie', '', 'Épilepsie', 3, 0, 0, NULL, NULL, 0, '', NULL);    
    
/**************************************************
CATEGORY V. Signes et symptômes lors de la prémiere consultation : Cocher toutes les cases qui s’appliquent   
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 1, (UUID()), N'V. Signes et symptômes lors de la prémiere consultation : Cocher toutes les cases qui s’appliquent', '', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY); 

-- attributes -- Fièvre
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Fièvre', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Fièvre', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Fièvre', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Fièvre', '', 'Fièvre', 3, 0, 0, NULL, NULL, 0, '', NULL);
    
-- attributes -- Maux de tête
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Maux de tête', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Maux de tête', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Maux de tête', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Maux de tête', '', 'Maux de tête', 3, 0, 0, NULL, NULL, 0, '', NULL);
    
-- attributes -- Douleurs articulaires
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Douleurs articulaires', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Douleurs articulaires', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Douleurs articulaires', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Douleurs articulaires', '', 'Douleurs articulaires', 3, 0, 0, NULL, NULL, 0, '', NULL);    

-- attributes -- Vomissements
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Vomissements', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Vomissements', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Vomissements', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Vomissements', '', 'Vomissements', 3, 0, 0, NULL, NULL, 0, '', NULL); 
    
-- attributes -- Diarrhée
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Diarrhée', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Diarrhée', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Diarrhée', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Diarrhée', '', 'Diarrhée', 3, 0, 0, NULL, NULL, 0, '', NULL); 
    
-- attributes -- Nausée
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Nausée', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Nausée', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Nausée', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Nausée', '', 'Nausée', 3, 0, 0, NULL, NULL, 0, '', NULL); 
    
-- attributes -- Fatigue
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Fatigue', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Fatigue', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Fatigue', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Fatigue', '', 'Fatigue', 3, 0, 0, NULL, NULL, 0, '', NULL); 
    
-- attributes -- Algies diffuses
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Algies diffuses', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Algies diffuses', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Algies diffuses', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Algies diffuses', '', 'Algies diffuses', 3, 0, 0, NULL, NULL, 0, '', NULL); 
    
-- attributes -- Frissons et tremblements
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Frissons et tremblements', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Frissons et tremblements', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Frissons et tremblements', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Frissons et tremblements', '', 'Frissons et tremblements', 3, 0, 0, NULL, NULL, 0, '', NULL); 
    
-- attributes -- Goût amer en bouche
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Goût amer en bouche', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Goût amer en bouche', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Goût amer en bouche', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Goût amer en bouche', '', 'Goût amer en bouche', 3, 0, 0, NULL, NULL, 0, '', NULL); 
    
-- attributes -- Toux
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Toux', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Toux', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Toux', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Toux', '', 'Toux', 3, 0, 0, NULL, NULL, 0, '', NULL); 
    
-- attributes -- Douleurs abdominales
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Douleurs abdominales', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Douleurs abdominales', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Douleurs abdominales', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Douleurs abdominales', '', 'Douleurs abdominales', 3, 0, 0, NULL, NULL, 0, '', NULL); 
    
-- attributes -- Manque d’appétit
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Manque d’appétit', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Manque d’appétit', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Manque d’appétit', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Manque d’appétit', '', 'Manque d’appétit', 3, 0, 0, NULL, NULL, 0, '', NULL); 
    
-- attributes -- Vertiges
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Vertiges', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Vertiges', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Vertiges', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Vertiges', '', 'Vertiges', 3, 0, 0, NULL, NULL, 0, '', NULL); 
    
/**************************************************
CATEGORY VI. Résultats des examens de laboratoire effectués au cours des deux dernieres semaines   
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 5, (UUID()), N'VI. Résultats des examens de laboratoire effectués au cours des deux dernieres semaines', '', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY);     

-- attributes -- Test
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Test', '', 'LabTest', 1, 0, 0, 0, 0, 0, '', 50);
    
-- attributes -- Date du test
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Date du test', '', 'TestDate', 1, 0, 0, 0, 0, 0, '', 50);    
    
-- attributes -- Date du test
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Résultat', '', 'LabValue', 1, 0, 0, 0, 0, 0, '', 50);
    
/**************************************************
CATEGORY VII. Médicaments pris au cours des 28 derniers jours 
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 6, (UUID()), N'VII. Médicaments pris au cours des 28 derniers jours,', 'y compris médicaments traditionnels/à base de plantes, médicaments contre la tuberculose et antirétroviraux, médicaments antipaludéens autres que l’AP', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY);

-- attributes -- Nom du médicament
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Nom du médicament', '', 'Concept', 1, 0, 0, 0, 0, 0, '', 50);

-- attributes -- Dose (mg)
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Dose (mg)', '', 'Dose', 1, 0, 0, 0, 0, 0, '', 50);

-- attributes -- Date de début
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Date de début', '', 'StartDate', 2, 0, 0, 0, 0, 0, '', 0);

-- attributes -- Date d’arrêt
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Date d’arrêt ', '', 'EndDate', 2, 0, 0, 0, 0, 0, '', 0);
    
-- attributes -- Posologie
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('PatientMedication', 2, 'General', 'Posologie', '', 0, 50, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Posologie', '', 'Posologie', 1, 0, 0, 0, 0, 0, '', 50);     

-- attributes -- Fréquence
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('PatientMedication', 2, 'General', 'Fréquence', '', 0, 50, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Fréquence', '', 'Fréquence', 1, 0, 0, 0, 0, 0, '', 50); 

-- attributes -- Traitement toujours en cours    
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('PatientMedication', 3, 'General', 'Traitement toujours en cours', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Traitement toujours en cours', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Traitement toujours en cours', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Traitement toujours en cours', '', 'Traitement toujours en cours', 3, 0, 0, NULL, NULL, 0, '', NULL);     

/**************************************************
CATEGORY VIII. Médicaments prescrits lors de la première visite, dont le PYRAMAX  
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 6, (UUID()), N'VIII. Médicaments prescrits lors de la première visite, dont le PYRAMAX', '', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY);  

-- attributes -- Nom du médicament
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Nom du médicament', '', 'Concept', 1, 0, 0, 0, 0, 0, '', 50);

-- attributes -- Dose (mg)
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Dose (mg)', '', 'Dose', 1, 0, 0, 0, 0, 0, '', 50);

-- attributes -- Date de début
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Date de début', '', 'StartDate', 2, 0, 0, 0, 0, 0, '', 0);

-- attributes -- Date d’arrêt
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Date d’arrêt ', '', 'EndDate', 2, 0, 0, 0, 0, 0, '', 0);
    
-- attributes -- Posologie
set @Configuration_Id = (SELECT Id FROM CustomAttributeConfiguration WHERE ExtendableTypeName = 'PatientMedication' AND AttributeKey = 'Posologie');
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Posologie', '', 'Posologie', 1, 0, 0, 0, 0, 0, '', 50);

-- attributes -- Fréquence
set @Configuration_Id = (SELECT Id FROM CustomAttributeConfiguration WHERE ExtendableTypeName = 'PatientMedication' AND AttributeKey = 'Fréquence');
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Fréquence', '', 'Fréquence', 1, 0, 0, 0, 0, 0, '', 50); 

-- attributes -- Durée
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('PatientMedication', 2, 'General', 'Durée', '', 0, 50, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Durée', '', 'Durée', 1, 0, 0, 0, 0, 0, '', 50); 
    
/**************************************************
CATEGORY IX. Other Details 
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 1, (UUID()), N'IX. Other Details', '', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY);

-- attributes -- Avez-vous donné un Rendez-vous pour la visite de suivi
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 3, 'General', 'Avez-vous donné un Rendez-vous pour la visite de suivi', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Avez-vous donné un Rendez-vous pour la visite de suivi', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Avez-vous donné un Rendez-vous pour la visite de suivi', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Avez-vous donné un Rendez-vous pour la visite de suivi', '', 'Avez-vous donné un Rendez-vous pour la visite de suivi', 3, 0, 0, NULL, NULL, 0, '', NULL); 
    
-- attributes -- Nom du rapporteur
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 2, 'General', 'Nom du rapporteur', '', 0, 50, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Nom du rapporteur', '', 'Nom du rapporteur', 1, 0, 0, NULL, NULL, 0, '', NULL);
    
-- attributes -- N° de tél
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 2, 'General', 'N° de tél', '', 0, 50, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'N° de tél', '', 'N° de tél', 1, 0, 0, 0, 0, 0, '', 50);
    
-- attributes -- Profession
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Patient', 2, 'General', 'Profession', '', 0, 50, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Profession', '', 'Profession', 1, 0, 0, NULL, NULL, 0, '', NULL);    