set @CohortGroup_Id = (SELECT Id   FROM CohortGroup  WHERE CohortName = 'Pyramax');

INSERT `MetaForm` (`CohortGroup_Id`, `MetaForm_guid`, `FormName`, `IsSystem`, `ActionName`)
	VALUES (@CohortGroup_Id, (UUID()), N'FORMULAIRE DE SUIVI', 0, 'FORM B');
set @MetaForm_Id = (SELECT @@IDENTITY);

/**************************************************
CATEGORY I. CONFIRMATION DE LA VISITE
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 7, (UUID()), N'I. CONFIRMATION DE LA VISITE', '', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY);

-- attributes -- Visite
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Encounter', 3, 'General', 'Visite', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Visite', '1', 'J3');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Visite', '2', 'J7');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Visite', '3', 'J14');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Visite', '4', 'J28');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Visite', '5', 'VNP');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Visite', '', 'Visite', 3, 0, 0, NULL, NULL, 0, '', NULL); 

-- attributes -- Est-ce la visite à eu lieu
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Encounter', 3, 'General', 'Est-ce la visite à eu lieu', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Est-ce la visite à eu lieu', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Est-ce la visite à eu lieu', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Est-ce la visite à eu lieu', '', 'Est-ce la visite à eu lieu', 3, 0, 0, NULL, NULL, 0, '', NULL); 
    
-- attributes -- Par retour du participant au centre de santé
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Encounter', 3, 'General', 'Par retour du participant au centre de santé', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Par retour du participant au centre de santé', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Par retour du participant au centre de santé', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Par retour du participant au centre de santé', '', 'Par retour du participant au centre de santé', 3, 0, 0, NULL, NULL, 0, '', NULL);    
    
-- attributes -- Par appel téléphonique
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Encounter', 3, 'General', 'Par appel téléphonique', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Par appel téléphonique', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Par appel téléphonique', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Par appel téléphonique', '', 'Par appel téléphonique', 3, 0, 0, NULL, NULL, 0, '', NULL);    
    
-- attributes -- Par une visite à domicile
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Encounter', 3, 'General', 'Par une visite à domicile', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Par une visite à domicile', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Par une visite à domicile', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Par une visite à domicile', '', 'Par une visite à domicile', 3, 0, 0, NULL, NULL, 0, '', NULL);        
   
/**************************************************
CATEGORY II. IDENTIFICATION DU SITE
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 1, (UUID()), N'II. IDENTIFICATION DU SITE', '', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY);

-- attributes
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Site de traitement', '', 'PatientFacilities', 3, 0, 1, NULL, NULL, 0, '', 50);   
   
/**************************************************
CATEGORY III. INFORMATIONS SUR LE PARTICIPANT   
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 1, (UUID()), N'III. INFORMATIONS SUR LE PARTICIPANT', '', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY);

-- attributes -- Le participant ou son parent/tuteur a-t-il signé le consentement
set @Configuration_Id = (SELECT Id FROM CustomAttributeConfiguration WHERE ExtendableTypeName = 'Patient' AND AttributeKey = 'Code ASS du patient');
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Code ASS du patient', '', 'Code ASS du patient', 1, 0, 0, NULL, NULL, 0, '', 50); 

-- attributes -- Nom
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Nom', '', 'FirstName', 1, 0, 0, NULL, NULL, 0, '', 50); 

-- attributes -- Prénom
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Prénom', '', 'Surname', 1, 0, 0, NULL, NULL, 0, '', 50); 
    
-- attributes -- Date de naissance
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Date de naissance', '', 'DateOfBirth', 2, 0, 0, NULL, NULL, 0, '', 50); 

-- attributes -- Âge 
set @Configuration_Id = (SELECT Id FROM CustomAttributeConfiguration WHERE ExtendableTypeName = 'Patient' AND AttributeKey = 'Âge');
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Âge', '', 'Âge', 1, 0, 0, NULL, NULL, 0, '', 15);     

-- attributes -- Sexe
set @Configuration_Id = (SELECT Id FROM CustomAttributeConfiguration WHERE ExtendableTypeName = 'Patient' AND AttributeKey = 'Sexe');
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Sexe', '', 'Sexe', 3, 0, 0, NULL, NULL, 0, '', NULL); 

/**************************************************
CATEGORY IV. Quels médicaments avez-vous pris depuis la dernière visite parmi ceux prescrit 
**************************************************/
-- INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
-- 	VALUES (@MetaForm_Id, 6, (UUID()), N'IV. Quels médicaments avez-vous pris depuis la dernière visite parmi ceux prescrit', '', '');
-- set @MetaFormCategory_Id = (SELECT @@IDENTITY);

-- -- attributes -- Nom du médicament
-- INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
-- 	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Nom du médicament', '', 'Concept', 1, 0, 0, NULL, NULL, 0, '', 50);

-- -- attributes -- Dose (mg)
-- INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
-- 	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Dose (mg)', '', 'Dose', 1, 0, 0, NULL, NULL, 0, '', 50);

-- -- attributes -- Date de début
-- INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
-- 	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Date de début', '', 'StartDate', 2, 0, 0, NULL, NULL, 0, '', NULL);

-- -- attributes -- Date d’arrêt
-- INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
-- 	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Date d’arrêt ', '', 'EndDate', 2, 0, 0, NULL, NULL, 0, '', NULL);
--     
-- -- attributes -- N° de lot et date de péremption
-- INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
-- 	VALUES ('PatientMedication', 2, 'General', 'N° de lot et date de péremption', '', 0, 50, NULL, NULL, 0, 0, 1);    
-- set @Configuration_Id = (SELECT @@IDENTITY);

-- INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
-- 	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'N° de lot et date de péremption', '', 'N° de lot et date de péremption', 1, 0, 0, NULL, NULL, 0, '', 50);     

-- -- attributes -- Nombre de comprimé pris par jour
-- INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
-- 	VALUES ('PatientMedication', 2, 'General', 'Nombre de comprimé pris par jour', '', 0, 50, NULL, NULL, 0, 0, 1);    
-- set @Configuration_Id = (SELECT @@IDENTITY);

-- INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
-- 	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Nombre de comprimé pris par jour', '', 'Nombre de comprimé pris par jour', 1, 0, 0, NULL, NULL, 0, '', 50); 

-- -- attributes -- Nombre de prise journalier 
-- INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
-- 	VALUES ('PatientMedication', 2, 'General', 'Nombre de prise journalier ', '', 0, 50, NULL, NULL, 0, 0, 1);    
-- set @Configuration_Id = (SELECT @@IDENTITY);

-- INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
-- 	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Nombre de prise journalier ', '', 'Nombre de prise journalier', 1, 0, 0, NULL, NULL, 0, '', 50); 

/**************************************************
CATEGORY V. Avez-vous pris d’autres médicaments en dehors de ceux prescrit à la dernière visite  
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 6, (UUID()), N'V. Avez-vous pris d’autres médicaments en dehors de ceux prescrit à la dernière visite', '', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY);  

-- attributes -- Nom du médicament
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Nom du médicament', '', 'Concept', 1, 0, 0, NULL, NULL, 0, '', 50);

-- attributes -- Dose (mg)
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Dose (mg)', '', 'Dose', 1, 0, 0, NULL, NULL, 0, '', 50);

-- attributes -- Date de début
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Date de début', '', 'StartDate', 2, 0, 0, NULL, NULL, 0, '', NULL);

-- attributes -- Date d’arrêt
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Date d’arrêt ', '', 'EndDate', 2, 0, 0, NULL, NULL, 0, '', NULL);
    
-- attributes -- Motif d’utilisation
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('PatientMedication', 2, 'General', 'Motif d’utilisation', '', 0, 50, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Motif d’utilisation', '', 'Motif d’utilisation', 1, 0, 0, NULL, NULL, 0, '', 50); 
    
-- attributes -- N° de lot et date de péremption
set @Configuration_Id = (SELECT Id FROM CustomAttributeConfiguration WHERE ExtendableTypeName = 'PatientMedication' AND AttributeKey = 'N° de lot et date de péremption');
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'N° de lot et date de péremption', '', 'N° de lot et date de péremption', 2, 0, 0, NULL, NULL, 0, '', NULL);     

-- attributes -- Nombre de comprimé pris par jour
set @Configuration_Id = (SELECT Id FROM CustomAttributeConfiguration WHERE ExtendableTypeName = 'PatientMedication' AND AttributeKey = 'Nombre de comprimé pris par jour');
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Nombre de comprimé pris par jour', '', 'Nombre de comprimé pris par jour', 1, 0, 0, NULL, NULL, 0, '', 50); 

-- attributes -- Nombre de prise journalier
set @Configuration_Id = (SELECT Id FROM CustomAttributeConfiguration WHERE ExtendableTypeName = 'PatientMedication' AND AttributeKey = 'Nombre de prise journalier');
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Nombre de prise journalier', '', 'Nombre de prise journalier', 1, 0, 0, NULL, NULL, 0, '', 50); 

-- attributes -- Traitement toujours en cours
set @Configuration_Id = (SELECT Id FROM CustomAttributeConfiguration WHERE ExtendableTypeName = 'PatientMedication' AND AttributeKey = 'Traitement toujours en cours');
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Traitement toujours en cours', '', 'Traitement toujours en cours', 1, 0, 0, NULL, NULL, 0, '', 50); 
   
/**************************************************
CATEGORY VI. Avez-vous eu des événements indésirables après le début du traitement à base d’AP ou après la dernière visite  
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 2, (UUID()), N'VI. Avez-vous eu des événements indésirables après le début du traitement à base d’AP ou après la dernière visite', '', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY); 

-- attributes -- Décrire l’ événement 
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Décrire l’ événement', '', 'SourceDescription', 1, 0, 0, NULL, NULL, 0, '', 50);

-- attributes -- Date d’apparution de l’effet 
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Date d’apparution de l’effet ', '', 'OnsetDate', 2, 0, 0, NULL, NULL, 0, '', NULL);
    
-- attributes -- Date de fin 
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Date de fin', '', 'ResolutionDate', 2, 0, 0, NULL, NULL, 0, '', NULL);    
    
-- attributes -- Indiquer le code de sévérité
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('PatientMedication', 2, 'General', 'Indiquer le code de sévérité', '', 0, 25, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Indiquer le code de sévérité', '', 'Indiquer le code de sévérité', 1, 0, 0, NULL, NULL, 0, '', 25);        
    
-- attributes -- Événement sérieux
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Encounter', 3, 'General', 'Événement sérieux', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Événement sérieux', '1', 'Non');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Événement sérieux', '2', 'Oui');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Événement sérieux', '', 'Événement sérieux', 3, 0, 0, NULL, NULL, 0, '', NULL);
    
-- attributes -- Indiquer le code de gravité)
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('PatientMedication', 2, 'General', 'Indiquer le code de gravité)', '', 0, 25, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Indiquer le code de gravité)', '', 'Indiquer le code de gravité)', 1, 0, 0, NULL, NULL, 0, '', 50); 
    
/**************************************************
CATEGORY VII. Y at-il eu une aggravation d’une pathologie existante ou la reprise d’une pathologie passée après le début du traitement par l’AP 
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 3, (UUID()), N'VII. Y at-il eu une aggravation d’une pathologie existante ou la reprise d’une pathologie passée après le début du traitement par l’AP', '', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY); 

-- attributes -- Pathologie
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Pathologie', '', 'ConditionSource', 1, 0, 0, NULL, NULL, 0, '', 50);
    
-- attributes -- Aggravation ou Réapparition
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Encounter', 3, 'General', 'Aggravation ou Réapparition', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Aggravation ou Réapparition', '1', 'Aggravation');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Aggravation ou Réapparition', '2', 'Réapparition');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Aggravation ou Réapparition', '', 'Aggravation ou Réapparition', 3, 0, 0, NULL, NULL, 0, '', NULL); 
    
-- attributes -- Début
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Début', '', 'OnsetDate', 2, 0, 0, NULL, NULL, 0, '', NULL);
    
-- attributes -- Arrêt
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Arrêt', '', 'OutcomeDate', 2, 0, 0, NULL, NULL, 0, '', NULL); 
    
/**************************************************
CATEGORY VIII. Traitement des événements 
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 7, (UUID()), N'VIII. Traitement des événements', '', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY); 

-- attributes -- Traitement ou mesure prise pour gérer l’événement indésirable
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('PatientMedication', 2, 'General', 'Traitement ou mesure prise pour gérer l’événement indésirable', '', 0, 250, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Traitement ou mesure prise pour gérer l’événement indésirable', '', 'Traitement ou mesure prise pour gérer l’événement indésirable', 1, 0, 0, NULL, NULL, 0, '', 50); 
    
-- attributes -- Evolution de l’événement indésirable après traitement 
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Encounter', 3, 'General', 'Evolution de l’événement indésirable après traitement', '', 0, NULL, NULL, NULL, 0, 0, 0);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Evolution de l’événement indésirable après traitement', '1', 'Guérison totale');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Evolution de l’événement indésirable après traitement', '2', 'Guéri avec séquelles');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Evolution de l’événement indésirable après traitement', '3', 'En cours de guérison');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Evolution de l’événement indésirable après traitement', '4', 'Pas de guerison');    
INSERT `SelectionDataItem` (`AttributeKey`, `SelectionKey`, `Value`)
	VALUES ('Evolution de l’événement indésirable après traitement', '5', 'Inconnu');    

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Evolution de l’événement indésirable après traitement', '', 'Evolution de l’événement indésirable après traitement', 3, 0, 0, NULL, NULL, 0, '', NULL);
    
/**************************************************
CATEGORY IX. Disposez-vous de résultats des tests de laboratoire après le début du traitement avec l'artésunate-tétraphosphate de pyronaridine   
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 5, (UUID()), N'IX. Disposez-vous de résultats des tests de laboratoire après le début du traitement avec l''artésunate-tétraphosphate de pyronaridine', '', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY);     

-- attributes -- Test
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Test', '', 'LabTest', 1, 0, 0, NULL, NULL, 0, '', 50);
    
-- attributes -- Date du test
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Date du test', '', 'TestDate', 2, 0, 0, NULL, NULL, 0, '', NULL);    
    
-- attributes -- Date du test
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Résultat', '', 'LabValue', 1, 0, 0, NULL, NULL, 0, '', 50);
    
-- attributes -- Unité
INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), NULL, 'Unité', '', 'TestUnit', 1, 0, 0, NULL, NULL, 0, '', 50); 
    
/**************************************************
CATEGORY X. Other Details 
**************************************************/
INSERT `MetaFormCategory` (`MetaForm_Id`, `MetaTable_Id`, `MetaFormCategory_guid`, `CategoryName`, `Help`, `Icon`)
	VALUES (@MetaForm_Id, 7, (UUID()), N'IX. Other Details', '', '');
set @MetaFormCategory_Id = (SELECT @@IDENTITY);
    
-- attributes -- Nom du rapporteur
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Encounter', 2, 'General', 'Nom du rapporteur', '', 0, 50, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'Nom du rapporteur', '', 'Nom du rapporteur', 1, 0, 0, NULL, NULL, 0, '', 50);
    
-- attributes -- N° de tél
INSERT `CustomAttributeConfiguration` (`ExtendableTypeName`, `CustomAttributeType`, `Category`, `AttributeKey`, `AttributeDetail`, `IsRequired`, `StringMaxLength`, `NumericMinValue`, `NumericMaxValue`, `FutureDateOnly`, `PastDateOnly`, `IsSearchable`)
	VALUES ('Encounter', 2, 'General', 'N° de tél', '', 0, 50, NULL, NULL, 0, 0, 1);    
set @Configuration_Id = (SELECT @@IDENTITY);

INSERT `MetaFormCategoryAttribute` (`MetaFormCategory_Id`, `MetaFormCategoryAttribute_guid`, `Configuration_Id`, `Label`, `Help`, `AttributeName`, `FormAttributeTypeId`, `FutureDateOnly`, `IsRequired`, `NumericMinValue`, `NumericMaxValue`, `PastDateOnly`, `SelectionDataItem`, `StringMaxLength`)
	VALUES (@MetaFormCategory_Id, (UUID()), @Configuration_Id, 'N° de tél', '', 'N° de tél', 1, 0, 0, NULL, NULL, 0, '', 50);
